#include<bits/stdc++.h>
#include"unnamable.h"
using namespace std;
typedef complex<double> cp;
static const int MX=65536;
static const double PI=acos(-1),eps=1e-7;
static int N,ans,seed,typ,cnt;
static cp a[MX],b[MX],res,tmp,ta,tb;
static double ca,cb,sum;
inline void exi(string S){
	cout<<S,exit(-1);
}
double len(cp x){
	return real(x)*real(x)+imag(x)*imag(x);
}
void INI(int n){
	if(N)exi("INI: Function \'INI\' has already been called");
	if(n<=0||n>16)exi("INI: n is out of range (0,16]");
	N=n;
}
void CU(int d,int k){
	if(!N)exi("CU: Array hasn't been initialized");
	if(k<=-MX||k>=MX)exi("CU: k is out of range (-65536,65536)");
	if(++cnt>300)exi("CU: Total calling time exceeds 300");
	tmp=cp(cos(2*PI*ans/MX*k),sin(2*PI*ans/MX*k));
	for(int i=0;i<1<<N;i++)
	if(i>>d&1)a[i]*=tmp;
}
void CR(int d1,int d2,cp A[2][2]){
	if(!N)exi("CR: Array hasn't been initialized");
	if(++cnt>300)exi("CR: Total calling time exceeds 300");
	for(int i=0;i<2;i++)
	for(int j=0;j<2;j++){
		tmp=cp(0,0);
		for(int k=0;k<2;k++)
		tmp+=A[i][k]*cp(real(A[j][k]),-imag(A[j][k]));
		tmp-=cp(i==j,0);
		if(len(tmp)>eps)exi("CR: Matrix doesn't satisfy AA*=I");
	}
	for(int i=0;i<1<<N;i++)
	if((i>>d1&1)&&(i>>d2&1)){
		ta=a[i-(1<<d2)],tb=a[i];
		a[i-(1<<d2)]=ta*A[0][0]+tb*A[1][0],a[i]=ta*A[0][1]+tb*A[1][1];
	}
}
void ACR(cp **A){
	if(!N)exi("ACR: Array hasn't been initialized");
	if(++cnt>300)exi("ACR: Total calling time exceeds 300");
	for(int i=0;i<1<<N;i++)
	for(int j=0;j<1<<N;j++){
		tmp=cp(0,0);
		for(int k=0;k<1<<N;k++)
		tmp+=A[i][k]*cp(real(A[j][k]),-imag(A[j][k]));
		tmp-=cp(i==j,0);
		if(len(tmp)>eps)exi("ACR: Matrix doesn't satisfy AA*=I");
	}
	for(int i=0;i<1<<N;i++){
		b[i]={0,0};
		for(int j=0;j<1<<N;j++)
		b[i]+=A[i][j]*a[j];
	}
	for(int i=0;i<1<<N;i++)a[i]=b[i];
}
int QR(){
	if(!N)exi("QR: Array hasn't been initialized");
	if(++cnt>300)exi("QR: Total calling time exceeds 300");
	if(!typ)exi("QR: Function \'QR\' is called more than once");
	if(typ^2)typ=0;
	ca=1ll*rand()*RAND_MAX+rand(),ca/=1ll*RAND_MAX*RAND_MAX;
	sum=0;
	for(int i=0;i<1<<N;i++)
	sum+=len(a[i]);
	if(fabs(sum-1)>eps)exi("QR: Judgement failed");
	for(int i=0;i<1<<N;i++)
	if((ca-=len(a[i]))<eps)return i;
}
int main(){
	freopen("input.txt","r",stdin);
	freopen("result.txt","w",stdout);
	scanf("%d%d%d",&ans,&seed,&typ);
	srand(seed);
	a[0]={1,0},res=SOL(typ);
	ca=real(res)-cos(2*PI*ans/MX),cb=imag(res)-sin(2*PI*ans/MX);
	if(sqrt(ca*ca+cb*cb)>1e-5){
		printf("Output %.7lf + %.7lf i but expect %.7lf + %.7lf i",real(res),imag(res),
		cos(2*PI*ans/MX),sin(2*PI*ans/MX));
		return -1;
	}
	puts("Accepted");
}